geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Johannes Weberhofer <jweberho...@weberhofer.at>
Subject Re: Please test tranql connectors on java 1.5
Date Wed, 10 Nov 2010 10:39:12 GMT
I have prepared a patch on http://jira.codehaus.org/browse/TQL-27 which removes all Java 6
specific methods and compiles nicely with Java 1.5. Unfortunately I currently can not test
the resulting jars (the junit tests run nicely).

Johannes

Am 09.11.10 10:44, schrieb Forrest Xia:
>
>
> On Tue, Nov 9, 2010 at 11:14 AM, David Jencks <david_jencks@yahoo.com <mailto:david_jencks@yahoo.com>>
wrote:
>
>     We could do that, but the main problem at the moment is that I don't have an environment
that runs java 1.5 and any such branch would need one for me to be able to release it.  Does
anyone know if any sql drivers are actually updated with the new java 6 sql features?
>
>
> I checked DB2, Oracle, postgreSQL, MySQL, and Informix jdbc driver, and all of them were
compiled with java 1.4. Even for derby driver, I don't see java 6 used. So I think the current
jdbc drivers that tranql depends on has no java 6 feature used.
>
>
>     thanks
>     david jencks
>
>
> I made a local branch from rev 799, excludes rev 800 and 801 but include 802 and 803,
it can be built with java 5. After compiled into G 2.1.7 snapshot, the connector function
seems work well.
>
> I am not sure if we can make a branch from rev 799, and apply 802 and 803 to make a tranql
release for G 2.1.7 release. If doable, I would volunteer to make that release :-)
>
> Forrest

-- 
Johannes Weberhofer
Weberhofer GmbH, Austria, Vienna

Mime
View raw message